#ifndef AUDIO_EFFECT_H
#define AUDIO_EFFECT_H

#include <SDL/SDL.h>


class Interface_AudioProcessingManager;
class AudioEffect{
	public:
		AudioEffect();
		virtual ~AudioEffect();

		virtual bool getActive();
		virtual void setActive (bool active);

		virtual Uint32 getTimeLengthOffset (Uint32 currentLength);
		virtual void processAudio (Interface_AudioProcessingManager*) = 0;

	private:
		bool active_;
};

#endif
