#ifndef AUDIO_EFFECT_ECHO_H
#define AUDIO_EFFECT_ECHO_H


#include "audioEffect.h"

class AudioEffectEcho : public AudioEffect{
	public:
		AudioEffectEcho (Uint32 delay, double decay);
		virtual ~AudioEffectEcho();

		virtual void processAudio (Interface_AudioProcessingManager* manager);
		virtual Uint32 getTimeLengthOffset (Uint32 currentLength);

	private:
		double decay_;
		Uint32 delay_;
		unsigned int echoes_;
};


#endif
