#ifndef AUDIO_EFFECT_TONE_H
#define AUDIO_EFFECT_TONE_H


#include "audioEffect.h"

class AudioEffectTone : public AudioEffect{
	public:
		AudioEffectTone (unsigned int period);
		virtual ~AudioEffectTone();

		virtual void processAudio (Interface_AudioProcessingManager* manager);
		virtual Uint32 getTimeLengthOffset (Uint32 currentLength);

	private:
		double getVolumeMultiplierAtOffset (unsigned int offset);

		unsigned int period_;
};


#endif
