#include "effectShake.h"
#include <iostream>
#include <math.h>
#include <time.h>

using namespace std;


EffectShake::EffectShake (unsigned int radiusInPixels) : Effect(){
	//cout << "EffectShake::EffectShake() EffectShake created" << endl;
	this->radiusInPixels = radiusInPixels;
	srand ((unsigned int) time (NULL));
	nextRands();
}

EffectShake* EffectShake::clone(){
	return new EffectShake (radiusInPixels);
}

bool EffectShake::update (int timePassed){
	//cout << "EffectShake::update() EffectShake updated" << endl;
	nextRands();
	return Effect::update (timePassed);
}

void EffectShake::nextRands(){
	nextFactorX = ((rand() / pow (2.0, 31)) * 2) - 1;
	nextFactorY = ((rand() / pow (2.0, 31)) * 2) - 1;
}

double EffectShake::getX(){
	return nextFactorX * radiusInPixels + getStartX();
}
double EffectShake::getY(){
	return nextFactorY * radiusInPixels + getStartY();
}
