#ifndef EFFECTSOFTSHADOWONCHILDREN_H
#define EFFECTSOFTSHADOWONCHILDREN_H


#include "effect.h"

class EffectSoftShadowOnChildren : public Effect{

	public:
		EffectSoftShadowOnChildren(){
			mySurfaceWithoutChildren = NULL;
		}
		virtual ~EffectSoftShadowOnChildren(){
			if (mySurfaceWithoutChildren) SDL_FreeSurface (mySurfaceWithoutChildren);
		}

		virtual bool update (int timePassed);

		virtual unsigned int getActiveProcessors(){ return EFFECT_IMAGE_PROCESSOR; }

		virtual void processPreCompositeImage (const SDL_Surface* screenSurface, const Rect& screenRect,
												SDL_Surface* processorSurface, const Rect& processorRect,
												const vector<Rect*>& screenDirties);

		virtual void processPostCompositeImage (const SDL_Surface* screenSurface, const Rect& screenRect,
												SDL_Surface* processorSurface, const Rect& processorRect,
												const vector<Rect*>& screenDirties);

		virtual void getDirtyRects (Rect& absoluteSourceRect, vector<Rect>& runningList);

	protected:

	private:
		vector<Rect> dirtied;
		SDL_Surface* mySurfaceWithoutChildren;
};


#endif
