#ifndef EVENTTRIGGERREQUIREMENTGREATERTHAN_H
#define EVENTTRIGGERREQUIREMENTGREATERTHAN_H

#include "interface_eventTriggerRequirement.h"
#include "eventValue.h"
#include "eventVariable.h"
#include <string>


class Interface_EventController;
class EventTriggerRequirementGreaterThan : public Interface_EventTriggerRequirement{

	public:

		EventTriggerRequirementGreaterThan (const EventVariable& variable, const EventValue& value);
		virtual ~EventTriggerRequirementGreaterThan(){}
		EventTriggerRequirementGreaterThan (const EventTriggerRequirementGreaterThan& model);
		EventTriggerRequirementGreaterThan& operator= (const EventTriggerRequirementGreaterThan& model);
		
		virtual bool operator== (const EventTriggerRequirementGreaterThan& model) const;

		virtual EventTriggerRequirementGreaterThan* clone() const;

		virtual bool satisfied (const Interface_EventController* controller) const;

		virtual EventVariable getVariable() const;
		virtual EventValue getValue() const;

	private:

		EventVariable variable;
		EventValue value;
};


#endif
