#ifndef EVENTTRIGGERREQUIREMENTLESSTHAN_H
#define EVENTTRIGGERREQUIREMENTLESSTHAN_H

#include "interface_eventTriggerRequirement.h"
#include "eventVariable.h"
#include "eventValue.h"
#include <string>


class Interface_EventController;
class EventTriggerRequirementLessThan : public Interface_EventTriggerRequirement{

	public:

		EventTriggerRequirementLessThan (const EventVariable& variable, const EventValue& value);
		virtual ~EventTriggerRequirementLessThan(){}
		EventTriggerRequirementLessThan (const EventTriggerRequirementLessThan& model);
		EventTriggerRequirementLessThan& operator= (const EventTriggerRequirementLessThan& model);
		
		virtual bool operator== (const EventTriggerRequirementLessThan& model) const;

		virtual EventTriggerRequirementLessThan* clone() const;

		virtual bool satisfied (const Interface_EventController* controller) const;

		virtual EventVariable getVariable() const;
		virtual EventValue getValue() const;

	private:

		EventVariable variable;
		EventValue value;
};


#endif
