#ifndef INTERFACE_EVENTTRIGGER_H
#define INTERFACE_EVENTTRIGGER_H

#include <vector>

#include "interface_cloneable.h"


class Interface_EventController;
class Interface_EventTriggerRequirement;
class Interface_EventTrigger : public Interface_Cloneable{

	public:

		Interface_EventTrigger(){}	
		virtual ~Interface_EventTrigger(){}

		virtual bool operator== (const Interface_EventTrigger& model) const{ return false; }

		virtual bool check (const Interface_EventController* controller) = 0;

		virtual bool hasRequirement (const Interface_EventTriggerRequirement* requirement) const = 0;
		virtual bool addRequirement (Interface_EventTriggerRequirement* requirement) = 0;

		virtual std::vector<Interface_EventTriggerRequirement*> getRequirements() const = 0;

		virtual Interface_EventTrigger* clone() const = 0;

};


#endif
