#ifndef LOCK_H
#define LOCK_H


#include "interface_lockable.h"

class Lock{
	public:
		Lock (Interface_Lockable* toLock){
			toLock_ = toLock;
			toLock_->lock();
		}
		virtual ~Lock(){
			toLock_->unlock();
		}

	private:
		Interface_Lockable* toLock_;
};



#endif
