#include "../quadPathFinder.h"


int main (int numArgs, char** args){
	{
		SegmentContainer walls (Rect (0, 0, 1000, 1000));
		QuadPathFinder quad (walls);
		list<IntRect> path;
		quad.findPath (path, Point (0, 0), Point (999, 999));
	}
	{
		SegmentContainer walls (Rect (0, 0, 100000, 100000));
		QuadPathFinder quad (walls);
		list<IntRect> path;
		quad.findPath (path, Point (0, 0), Point (99999, 99999));
	}
	try{
		SegmentContainer walls (Rect (0, 0, 1500, 1500));
		QuadPathFinder quad (walls);
		for (int x = 0; x < 1; x++){
			int offset = x * 50 - 50;
			Rect wall (236.36, 1141.24 + offset, 150, 100);
			walls.insert (Line (Point (wall.getUpperLeftPoint()), Point (wall.getUpperRightPoint())));
			walls.insert (Line (Point (wall.getLowerLeftPoint()), Point (wall.getLowerRightPoint())));
			walls.insert (Line (Point (wall.getUpperLeftPoint()), Point (wall.getLowerLeftPoint())));
			walls.insert (Line (Point (wall.getUpperRightPoint()), Point (wall.getLowerRightPoint())));
		}
		for (int x = 0; x < 1; x++){
			list<IntRect> path;
			quad.findPath (path, Point (200, 1179), Point (400 + x, 1179), 50, 50);
		}
	}
	catch (...){ }
	/*
	try{
		SegmentContainer walls (Rect (0, 0, 1500, 1500));
		QuadPathFinder quad (walls);
		for (int x = 0; x < 4; x++){
			int offsetX = -250 + x * 25; int offsetY = 400 + x * 25;
			walls.insert (Line (Point (500 + offsetX, 800 + offsetY), Point (700 + offsetX, 800 + offsetY)));
			walls.insert (Line (Point (500 + offsetX, 800 + offsetY), Point (500 + offsetX, 1000 + offsetY)));
			walls.insert (Line (Point (700 + offsetX, 1000 + offsetY), Point (700 + offsetX, 800 + offsetY)));
			walls.insert (Line (Point (700 + offsetX, 1000 + offsetY), Point (500 + offsetX, 1000 + offsetY)));
		}
		for (int x = 0; x < 100; x++){
			list<IntRect> path;
			quad.findPath (path, Point (75, 1204), Point (564 + x, 1225), 50, 50);
		}
	}
	catch (...){ }
	*/

	return 0;
}
