#include "../transitionDolly.h"
#include "../testUtils.h"
#include <math.h>
#include <iostream>
using namespace std;


int main (int numArgs, char** args){
	
	int length = 1000;
	double startX = 0.0;
	double startY = 0.0;
	double endX = 100.0;
	double endY = 100.0;
	TransitionDolly* dolly = new TransitionDolly (length, startX, startY, endX, endY);

	cout << check ("get test 1", 0.0, dolly->getX()) << endl;

	dolly->update (500);
	cout << check ("get test 2", 50.0, dolly->getX()) << endl; 

	dolly->update (500);
	cout << check ("get test 3", 100.0, dolly->getX()) << endl;


	delete dolly;

	return 0;
}
