#ifndef TEST_UTILS_H
#define TEST_UTILS_H


#include <string>
using namespace std;


string check (const string& testName, const string& expected, const string& got){
	string output = "Failed " + testName + ". Expected: \"" + expected + "\". Got: \"" + got + "\"";
	if (expected == got) output = "Passed " + testName;
	return output;
}
string check (const string& testName, const int& expected, const int& got){
	char e [1000]; char g [1000];
	sprintf (e, "%d", expected);
	sprintf (g, "%d", got);
	return check (testName, string (e), string (g));
}
string check (const string& testName, const double& expected, const double& got){
	char e [1000]; char g [1000];
	sprintf (e, "%.3f", expected);
	sprintf (g, "%.3f", got);
	return check (testName, string (e), string (g));
}
string check (const string& testName, const bool& expected, const bool& got){
	return check (testName, string (expected == true ? "true" : "false"), string (got == true ? "true" : "false"));
}



#endif
