#ifndef TEXT_H
#define TEXT_H


#include <string>
#include "utils.h"
#include "surface.h"

using namespace std;


class Effect;
class Text : public Surface{
	public:
		Text (Surface* parent, const string& fontFile, const string& text);
		virtual ~Text();

		virtual void addVisualEffect (Effect* newEffect);

		void setText (const string& text);
		string getText() const{ return text; }

	protected:
		string text;
		string fontFile;
};


#endif
