#ifndef TRANSITIONFALL_H
#define TRANSITIONFALL_H


#include "transition.h"

class TransitionFall : public Transition{

	public:
		TransitionFall (const double& pixelToMeterFactor, const double& startX, const double& endX, const double& metersPerSecond = 9.8);
		virtual ~TransitionFall(){}

		virtual bool update (int timePassed);

		virtual double getX() const;

		virtual TransitionFall* clone() const;

	protected:

	private:
		double pixelToMeterFactor_;
		double metersPerSecond_;
};


#endif
