#ifndef EFFECT_SEGMENT_CONTAINER_VISUALIZER_H
#define EFFECT_SEGMENT_CONTAINER_VISUALIZER_H


#include "effect.h"
#include "segmentContainer.h"


class ImageProcessingSurfaceManager;
class EffectSegmentContainerVisualizer : public Effect{

	public:
		EffectSegmentContainerVisualizer (SegmentContainer* container, int granularity) 
			: container_ (container), granularity_ (granularity), offsetX_ (0), offsetY_ (0) { }
		virtual ~EffectSegmentContainerVisualizer(){}

		virtual void processImagePostDraw (ImageProcessingSurfaceManager* manager);

		virtual Effect* clone();

		void setDrawOffset (int x, int y);
		int getDrawOffsetX();
		int getDrawOffsetY();

	protected:

	private:
		SegmentContainer* container_;
		int granularity_;
		int offsetX_;
		int offsetY_;
};


#endif
