#ifndef EFFECTSHAKE_H
#define EFFECTSHAKE_H


#include "effect.h"

class EffectShake : public Effect{

	public:
		EffectShake (unsigned int radiusInPixels = 5);
		virtual ~EffectShake(){}

		virtual bool update (int timePassed);

		virtual double getX();
		virtual double getY();

		virtual EffectShake* clone();

	protected:
		void nextRands();

		unsigned int radiusInPixels;
		double nextFactorX;
		double nextFactorY;
};


#endif
