#ifndef EFFECTSOFTSHADOW_H
#define EFFECTSOFTSHADOW_H


#include "effect.h"

class ImageProcessingSurfaceManager;
class EffectSoftShadow : public Effect{

	public:
		EffectSoftShadow(){};
		virtual ~EffectSoftShadow(){}

		virtual Effect* clone(){ return new EffectSoftShadow (*this); }

		virtual unsigned int getActiveProcessors(){ return EFFECT_IMAGE_PROCESSOR; }

		virtual void processImage (ImageProcessingSurfaceManager* manager);

	protected:
		virtual int getShadowOffsetX(){ return -10; }
		virtual int getShadowOffsetY(){ return -10; }

	private:
};


#endif
