#ifndef EFFECTTRANSLUCENT_H
#define EFFECTTRANSLUCENT_H


#include "effect.h"

class ImageProcessingSurfaceManager;
class EffectTranslucent : public Effect{

	public:
		EffectTranslucent (double zeroToOneWeight = 0.5) : weight (zeroToOneWeight){};
		virtual ~EffectTranslucent(){}

		virtual Effect* clone(){ return new EffectTranslucent (*this); }

		virtual void processImage (ImageProcessingSurfaceManager* manager);

	protected:

	private:
		double weight;
};


#endif
