#include "effectTwinkle.h"
#include <iostream>
#include "utils.h"
#include "imageProcessingSurfaceManager.h"

#include <math.h>

using namespace std;


void EffectTwinkle::processImage (ImageProcessingSurfaceManager* manager){

	if (rand() % 100 > 3) return;

	Rect effectRect = Rect (manager->getBlittingRect());
	//cout << "effectRect starts as " << effectRect.toString() << endl;

	for (int y = int (effectRect.getY()); y < int (effectRect.getY() + effectRect.getHeight()); y++){
		for (int x = int (effectRect.getX()); x < int (effectRect.getX() + effectRect.getWidth()); x++){
			if (! manager->compositePixelIsTransparent (x, y)){
				manager->setCompositePixel (x, y, manager->getTargetPixel (x, y));
			}	
		}
	}

}
