#ifndef EVENTLOADER_H
#define EVENTLOADER_H

#include <string>
#include <stack>


#define EVENT_LOADER_EVENTS 1
#define EVENT_LOADER_REQUIREMENTS 2
#define EVENT_LOADER_RESULTS 3

class Interface_EventController;
class Interface_Event;
class Interface_EventTrigger;
class EventLoader{
	
	public:
		EventLoader(){}
		~EventLoader(){}
		
		void load (const std::string& filename, Interface_EventController* controller);

	private:
		void parse (const int& mode, std::stack<std::string>& input, Interface_EventController* controller);

		Interface_Event* currentEvent;
		Interface_EventTrigger* currentTrigger;
};


#endif
