#ifndef EVENTRESULT_SET
#define EVENTRESULT_SET

#include "interface_eventResult.h"
#include <string>


class Interface_EventController;
class EventResultSet : public Interface_EventResult{

	public:

		EventResultSet (const std::string& variable, const std::string& value);
		virtual ~EventResultSet(){}
		EventResultSet (const EventResultSet& model);

		EventResultSet& operator= (const EventResultSet& model);

		EventResultSet* clone() const;

		bool operator== (const EventResultSet& other) const;

		virtual void trigger (Interface_EventController* controller);

		virtual std::string getVariable() const;
		virtual std::string getValue() const;

	private:

		std::string variable;
		std::string value;

};


#endif
