#ifndef EVENTTRIGGERREQUIREMENTEQUAL_H
#define EVENTTRIGGERREQUIREMENTEQUAL_H

#include "interface_eventTriggerRequirement.h"
#include "eventValue.h"
#include "eventVariable.h"
#include <string>


class Interface_EventController;
class EventTriggerRequirementEqual : public Interface_EventTriggerRequirement{

	public:

		EventTriggerRequirementEqual (const EventVariable& variable, const EventValue& value);
		virtual ~EventTriggerRequirementEqual(){}
		EventTriggerRequirementEqual (const EventTriggerRequirementEqual& model);
		EventTriggerRequirementEqual& operator= (const EventTriggerRequirementEqual& model);
		
		virtual bool operator== (const EventTriggerRequirementEqual& model) const;

		virtual EventTriggerRequirementEqual* clone() const;

		virtual bool satisfied (const Interface_EventController* controller) const;

		virtual EventVariable getVariable() const;
		virtual EventValue getValue() const;

	private:

		EventVariable variable;
		EventValue value;
};


#endif
