#include "eventTriggerRequirementGreaterThanOrEqualTo.h"
#include "interface_eventController.h"
#include <string>
#include <iostream>

using namespace std;


EventTriggerRequirementGreaterThanOrEqualTo::EventTriggerRequirementGreaterThanOrEqualTo (const EventTriggerRequirementGreaterThanOrEqualTo& model){
	*this = model;
}
EventTriggerRequirementGreaterThanOrEqualTo& EventTriggerRequirementGreaterThanOrEqualTo::operator= (const EventTriggerRequirementGreaterThanOrEqualTo& model){
	if (this != &model){
		variable = model.variable;
		value = model.value;
	}
	return *this;
}
EventTriggerRequirementGreaterThanOrEqualTo::EventTriggerRequirementGreaterThanOrEqualTo (const EventVariable& variable, const EventValue& value){
	this->variable = variable;
	this->value = value;
}
EventTriggerRequirementGreaterThanOrEqualTo* EventTriggerRequirementGreaterThanOrEqualTo::clone() const{
	return new EventTriggerRequirementGreaterThanOrEqualTo (*this);
}

bool EventTriggerRequirementGreaterThanOrEqualTo::satisfied (const Interface_EventController* controller) const{
	//cout << "trigger requirement trying variable, value " << variable << ", " << value << endl;
	return atoi (controller->getVariable (variable.getVariable()).c_str()) >= atoi (value.getValue().c_str());
}

bool EventTriggerRequirementGreaterThanOrEqualTo::operator== (const EventTriggerRequirementGreaterThanOrEqualTo& model) const{
	return getVariable() == model.getVariable() && getValue() == model.getValue();
}

EventVariable EventTriggerRequirementGreaterThanOrEqualTo::getVariable() const{
	return variable;
}
EventValue EventTriggerRequirementGreaterThanOrEqualTo::getValue() const{
	return value;
}
