#ifndef EVENTTRIGGERREQUIREMENTGREATERTHANOREQUALTO_H
#define EVENTTRIGGERREQUIREMENTGREATERTHANOREQUALTO_H

#include "interface_eventTriggerRequirement.h"
#include "eventVariable.h"
#include "eventValue.h"
#include <string>


class Interface_EventController;
class EventTriggerRequirementGreaterThanOrEqualTo : public Interface_EventTriggerRequirement{

	public:

		EventTriggerRequirementGreaterThanOrEqualTo (const EventVariable& variable, const EventValue& value);
		virtual ~EventTriggerRequirementGreaterThanOrEqualTo(){}
		EventTriggerRequirementGreaterThanOrEqualTo (const EventTriggerRequirementGreaterThanOrEqualTo& model);
		EventTriggerRequirementGreaterThanOrEqualTo& operator= (const EventTriggerRequirementGreaterThanOrEqualTo& model);
		
		virtual bool operator== (const EventTriggerRequirementGreaterThanOrEqualTo& model) const;

		virtual EventTriggerRequirementGreaterThanOrEqualTo* clone() const;

		virtual bool satisfied (const Interface_EventController* controller) const;

		virtual EventVariable getVariable() const;
		virtual EventValue getValue() const;

	private:

		EventVariable variable;
		EventValue value;
};


#endif
