#ifndef EVENTTRIGGERREQUIREMENTLESSTHANOREQUALTO_H
#define EVENTTRIGGERREQUIREMENTLESSTHANOREQUALTO_H

#include "interface_eventTriggerRequirement.h"
#include "eventVariable.h"
#include "eventValue.h"
#include <string>


class Interface_EventController;
class EventTriggerRequirementLessThanOrEqualTo : public Interface_EventTriggerRequirement{

	public:

		EventTriggerRequirementLessThanOrEqualTo (const EventVariable& variable, const EventValue& value);
		virtual ~EventTriggerRequirementLessThanOrEqualTo(){}
		EventTriggerRequirementLessThanOrEqualTo (const EventTriggerRequirementLessThanOrEqualTo& model);
		EventTriggerRequirementLessThanOrEqualTo& operator= (const EventTriggerRequirementLessThanOrEqualTo& model);
		
		virtual bool operator== (const EventTriggerRequirementLessThanOrEqualTo& model) const;

		virtual EventTriggerRequirementLessThanOrEqualTo* clone() const;

		virtual bool satisfied (const Interface_EventController* controller) const;

		virtual EventVariable getVariable() const;
		virtual EventValue getValue() const;

	private:

		EventVariable variable;
		EventValue value;
};


#endif
