#ifndef EVENTTRIGGERREQUIREMENTNOTEQUAL_H
#define EVENTTRIGGERREQUIREMENTNOTEQUAL_H

#include "interface_eventTriggerRequirement.h"
#include "eventValue.h"
#include "eventVariable.h"
#include <string>


class Interface_EventController;
class EventTriggerRequirementNotEqual : public Interface_EventTriggerRequirement{

	public:

		EventTriggerRequirementNotEqual (const EventVariable& variable, const EventValue& value);
		EventTriggerRequirementNotEqual (const EventTriggerRequirementNotEqual& model);
		virtual ~EventTriggerRequirementNotEqual(){}
		EventTriggerRequirementNotEqual& operator= (const EventTriggerRequirementNotEqual& model);
		
		virtual bool operator== (const EventTriggerRequirementNotEqual& model) const;

		virtual bool satisfied (const Interface_EventController* controller) const;

		virtual EventTriggerRequirementNotEqual* clone() const;

		virtual EventVariable getVariable() const;
		virtual EventValue getValue() const;

	private:

		EventVariable variable;
		EventValue value;
};


#endif
