#ifndef EVENTVALUE_H
#define EVENTVALUE_H

#include <string>


class Interface_EventController;

class EventValue{
	public:
		EventValue(){
			eventController = NULL;
		}
		EventValue (const std::string& value, Interface_EventController* eventController){
			this->value = value;
			this->eventController = eventController;
		}
		virtual ~EventValue(){}

		bool operator== (const EventValue& other) const{
			return value == other.value && eventController == other.eventController;
		}
		EventValue& operator= (const EventValue& model){
			value = model.value;
			eventController = model.eventController;
			return *this;
		}

		virtual std::string getValue() const;
		std::string getRawValue() const{ return value; }

	private:
		std::string value;
		Interface_EventController* eventController;
};

#endif
