#include "../lock.h"
#include "../tryLock.h"
#include "../interface_lockable.h"
#include "../testUtils.h"
#include <iostream>

using namespace std;


int main (int numArgs, char** args){
	{
		Interface_Lockable lockable;
		Lock lock (&lockable);
		TryLock tryLock (&lockable);
		cout << check ("try lock test 1", false, tryLock.tryLock()) << endl;
	}
	{
		Interface_Lockable lockable;
		{
			Lock lock (&lockable);
		}
		TryLock tryLock (&lockable);
		cout << check ("try lock test 2", true, tryLock.tryLock()) << endl;
	}
	{
		Interface_Lockable lockable;
		{
			Lock lock (&lockable);
			TryLock tryLock (&lockable);
		}
		TryLock tryLock (&lockable);
		cout << check ("try lock test 3", true, tryLock.tryLock()) << endl;
	}

	return 0;
}
