#ifndef TRANSITION_JUMP_H
#define TRANSITION_JUMP_H


#include "transition.h"

class TransitionJump : public Transition{

	public:
		TransitionJump (const double& pixelToMeterFactor, const double& startX, const double& endX, 
			const double& jumpMetersPerSecond, const double& gravityMetersPerSecond = 9.8);
		virtual ~TransitionJump(){}

		virtual bool update (unsigned int timePassed);

		virtual double getX() const;

		virtual TransitionJump* clone() const;

	protected:

	private:
		double pixelToMeterFactor_;
		double gravityMetersPerSecond_;
		double jumpMetersPerSecond_;
		double velocityMetersPerSecond_;
		double location_;
};


#endif
