#ifndef TRANSITION_LINEAR_MOVE_H
#define TRANSITION_LINEAR_MOVE_H


#include "transition.h"

class TransitionLinearMove : public Transition{

	public:
		TransitionLinearMove (const int& msTime = -1, const double& startX = 0, const double& endX = 0);
		virtual ~TransitionLinearMove(){}

		virtual bool update (int timePassed);

		virtual double getX() const;

		virtual double getPercentDone() const;

		virtual TransitionLinearMove* clone() const;

	protected:

	private:
};


#endif
